Send a single template message.

Example request:

POST /whatsapp/v1/messages/templates
{
"templateName": "MyFirstTemplate",
"businessPhoneNumberId": "841234567890",
"language": "en",
"recipient": "27000000001",
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≥ 1

The name of the template to use for the send content

string
required
length ≥ 1

The id of the business phone number to send the message from

string
required
length ≥ 1

Which language version of the template to use

string | null

This field can contain a phone number or a BSUID.

string | null

This is a legacy field that we are keeping around until all customers have migrated to using the Recipient field. It is recommended to use the Recipient field instead of this one.

string | null

Optional value that can be used to track this message through the SMSPortal system.

parameters
object

The parameter values to be filled in the template when it is sent

recipientIdentity
object
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json